# norootforbuild
%define pkg_name    LZF
#
Name: php5-lzf
Version: 1.6.2
Release: 3.1
#
License: PHP
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires: php5-devel

#
URL: http://pecl.php.net/lzf
Source: http://pecl.php.net/package/lzf/%{pkg_name}-%{version}.tgz
Summary: This package handles LZF de/compression.

%description

	This package handles LZF de/compression.
	
Authors:
---------

	Marcin Gibula

%prep

%setup -q -n %{pkg_name}-%{version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure

%{__make} %{?jobs:-j%jobs}
popd

%install

%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable lzf extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/lzf.ini
echo 'extension = lzf.so' >> %{buildroot}%{_sysconfdir}/php5/conf.d/lzf.ini


%clean

%{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%{_libdir}/php5/extensions/lzf.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/lzf.ini

%doc CREDITS

%changelog
* Tue Jan 14 2014 cs@linux-administrator.com
- update to version 1.6.2
